.main-avatar-container {
  background-size: cover;
  min-height: 100vh;
}

.main-avatar-container .main-avatar-wrapper {
  color: #4f4f4f;
  padding: 0.5rem 2rem;
}

.main-avatar-container .main-avatar-wrapper .sub-avatar-container {
  background: #ffffff;
  border-radius: 5px;
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper {
  display: flex;
  flex-flow: column nowrap;
  padding: 0 1rem;
}

.main-avatar-container .main-avatar-wrapper .isay-logo {
  margin: 1rem auto;
  transform: translate(-8%, 60%);
}

.main-avatar-container .main-avatar-wrapper .isay-logo img {
  height: 4.5rem;
}

/* cool we defined you as... */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  h2 {
  text-align: center;
  padding: 2rem;
}

/* icon avatar and name */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-name-wrapper {
  display: flex;
  justify-content: center;
}

/* icon avatar bg */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-name-wrapper
  .avatar {
  width: 40px;
  height: 40px;
  position: relative;
  /* overflow: hidden; */
  background: #8a62fb;
  border: 1rem solid #8a62fb;
  border-radius: 50%;
  z-index: 900;
}

/* icon avatar img */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-name-wrapper
  .avatar
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
}

/* name for avatar */

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-name-wrapper
  p {
  color: #4781f8;
  border: 1px solid #4781f8;
  background-color: #ffffff;
  padding: 0.7rem 1rem 0.7rem 0;
  border-bottom-right-radius: 3rem;
  border-top-right-radius: 3rem;
  transform: translateX(-10%);
  z-index: 10;
  font-size: 18px;
  font-weight: 700;
  text-indent: 2rem;
  /* text-overflow:clip; */
}

/* confetti1 */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-name-wrapper
  .confetti-1 {
  height: 3rem;
  transform: translate(-1.5rem, -1.5rem);
}

/* container for you're interested - last paragraph */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container {
  box-sizing: border-box;
  box-shadow: 0px 5px 20px 5px rgb(0 56 255 / 15%);
  text-align: center;
  color: #4f4f4f;
  transform: translateY(-7%);
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper {
  padding: 3.5rem 1rem 1rem;
}
/* you are intereseted in + confetti-2 */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .top-text
  div {
  display: flex;
  justify-content: center;
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .top-text
  div
  img {
  height: 3rem;
  transform: translateY(1rem);
  margin: 0 0.5rem;
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  div:nth-child(2)
  p {
  font-size: 16px;
  padding: 1rem 0 1.5rem;
}

/* interest icon */

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .interest-icon {
  display: grid;
  grid-template-columns: auto auto;
  row-gap: 0.5rem;
  padding: 0 1rem;
  column-gap: 1rem;
  /* overflow: auto;
  height: 10rem; */
}

/* interest icon bg */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .interest-icon
  .interest-icon-container {
  width: 20px;
  height: 20px;
  position: relative;
  overflow: hidden;
  background: #fcda64;
  border: 1rem solid #fcda64;
  border-radius: 50%;
  margin: auto;
}

/* interest account img */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .interest-icon
  .interest-icon-container
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
}

/* interest-text */
/* /* .main-avatar-container */
.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .interest-icon
  p {
  font-weight: 600;
}

/* last paragraph */

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .last-paragraph
  h3 {
  margin-top: 3rem;
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .inside-sub-avatar-container
  .inside-sub-avatar-wrapper
  .last-paragraph
  p {
  font-size: 16px;
  line-height: 1.7rem;
  padding: 0 1rem;
  padding-bottom: 2.5rem;
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-btn {
  margin: 0 auto;
}

.main-avatar-container
  .main-avatar-wrapper
  .sub-avatar-container
  .sub-avatar-wrapper
  .avatar-btn
  button {
  color: white;
  background-color: #4781f8;
  border: transparent;
  font-size: 1rem;
  padding: 0.7rem 3.7rem;
  border-radius: 3px;
  font-weight: bold;
  margin-bottom: 2.5rem;
}

@media only screen and (min-width: 425px) {
  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper
    .inside-sub-avatar-container
    .inside-sub-avatar-wrapper
    .interest-icon {
    grid-template-columns: auto auto;
    justify-content: center;
  }

  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper
    .avatar-name-wrapper
    .avatar {
    overflow: hidden;
  }
}

@media only screen and (min-width: 600px) {
  .main-avatar-container .main-avatar-wrapper .isay-logo img {
    height: 5rem;
  }

  .main-avatar-container .main-avatar-wrapper {
    padding: 1rem 4rem;
  }

  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper {
    padding: 0 2rem;
  }

  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper
    .inside-sub-avatar-container
    .inside-sub-avatar-wrapper
    .interest-icon {
    grid-template-columns: auto auto auto auto;
    justify-content: center;
    column-gap: 2rem;
  }
}

@media only screen and (min-width: 768px) {
  .main-avatar-container .main-avatar-wrapper {
    padding: 1rem 6rem;
  }

  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper {
    padding: 0 4rem;
  }

  .main-avatar-container .main-avatar-wrapper .isay-logo {
    transform: translate(-7%, 40%);
    margin-bottom: 0;
  }

  .main-avatar-container .main-avatar-wrapper .isay-logo img {
    height: 7rem;
  }
  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper
    .avatar-btn {
    margin-left: auto;
    margin-right: 0;
  }
}

@media only screen and (min-width: 1000px) {
  .main-avatar-container .main-avatar-wrapper .isay-logo {
    transform: translate(-5%, 40%);
  }

  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper
    .inside-sub-avatar-container
    .inside-sub-avatar-wrapper
    .interest-icon {
    grid-template-columns: auto auto auto auto auto auto;
  }
}

@media only screen and (min-width: 1500px) {
  .main-avatar-container .main-avatar-wrapper {
    padding: 1rem 15rem;
  }

  .main-avatar-container .main-avatar-wrapper .isay-logo {
    transform: translate(-3%, 40%);
  }

  .main-avatar-container
    .main-avatar-wrapper
    .sub-avatar-container
    .sub-avatar-wrapper
    .inside-sub-avatar-container
    .inside-sub-avatar-wrapper
    .interest-icon {
    grid-template-columns: auto auto auto auto auto auto auto auto;
  }
}

@media only screen and (min-width: 2000px) {
  .main-avatar-container .main-avatar-wrapper .isay-logo {
    transform: translate(-1%, 40%);
  }

  .main-avatar-container .main-avatar-wrapper {
    padding: 1rem 20rem;
  }
}
